/* slider 3d */

.parentSlider3D {
    position: relative;
    overflow: hidden;
    display: block;
    width: 100%;
    border-radius: 0;
    background-color: whitesmoke;
    color: white;
}

.slider__3d_container {
    display: block;
    width: 100%;
    overflow: hidden;
    z-index: 1;
}

.slider__3d {
    position: relative;
    transition: margin-left .25s linear;
}

viewer-3d,
viewer-video {
    height: 140vw;
    color: #fff;
    width: 100%;
    touch-action: none;
    overflow: hidden;
}

view-video {
    display: block;
    width: 100%;
    height: 100%;
}

viewer-3d [cardboard] {
    position: absolute;
    right: 1rem;
    bottom: 1rem;
    opacity: 0.5;
    z-index: 5;
    filter: invert(1);
    transition: all .25s ease;
    /* display: none; */
}

viewer-3d [cardboard]:hover {
    opacity: 1;
    transform: scale(1.02);
}

actions-3d {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.3);
    z-index: 4;
}

actions-3d .playing {}

actions-3d .playing * {
    pointer-events: none;
}

.btn3dToggle,
.playing {
    border-radius: 5rem;
    background-color: rgba(0, 0, 0, 0.4);
    margin-top: 1.5rem;
    cursor: pointer;
    transition: all .25s ease;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    padding: 0 1.5rem;
    height: 40px;
}

.playing {
    width: 60px;
    height: 60px;
}

.btn3dToggle [is-icon-small] {
    display: inline-flex;
    align-items: center;
    align-content: center;
    justify-content: flex-end;
    margin-left: 0.5rem;
    font-size: 0.9rem;
}

.actionsToggle {
    display: none;
    position: absolute;
    top: 0;
    left: 50%;
    z-index: 4;
    transform: translateX(-50%);
    border-radius: 4rem;
    box-shadow: 0 10px 20px -5px rgba(0, 0, 0, 0.2);
}

.actionsToggleMobile {
    background-color: #000;
}

.btn3dToggle {
    border-radius: 0;
}

.btn3dToggle.active {
    color: white;
    background-color: rgba(0, 0, 0, 0.7);
}

.actionsToggleMobile .btn3dToggle {
    color: #fff;
}

.actionsToggleMobile .btn3dToggle.active {
    color: white;
    background-color: rgba(255, 255, 255, 0.2);
}

.btn3dToggle {
    margin: 0;
    flex: 1;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.btn3dToggle:hover,
.playing:hover {
    color: white;
    background-color: rgba(0, 0, 0, 0.7);
}

viewer-3d .background-3d {
    position: absolute;
    z-index: 2;
    width: 100%;
    left: 0;
    height: 100%;
    top: 0;
    pointer-events: none;
    object-fit: cover;
}

#viewer3dHomes {
    display: block;
    width: 100%;
    height: 100%;
    z-index: 1;
}

viewer-label {
    z-index: 6;
    display: inline-block;
    padding: 1rem 2rem;
    background-color: rgba(255, 255, 255, 0.2);
    color: white;
    text-align: center;
    position: absolute;
    bottom: 0;
    left: 50%;
    user-select: none;
    transform: translateX(-50%);
    text-transform: uppercase;
}

thumbs-3d,
thumbs-video {
    background-color: black;
    overflow-x: auto;
    padding: 0.5rem;
    position: absolute;
    bottom: -100%;
    z-index: 4;
    background-color: rgba(0, 0, 0, 0.3);
    justify-content: center;
    transition: bottom .25s ease;
}

thumbs-3d.show,
thumbs-video.show {
    bottom: 0;
}

.thumb_item {
    min-width: 80px;
    width: 80px;
    min-height: 80px;
    height: 80px;
    cursor: pointer;
    overflow: hidden;
    border-radius: 5px;
}

.thumb_item:not(:last-child) {
    margin-right: 0.5rem;
}

.thumb_item .typeMedia {
    position: absolute;
    bottom: 0;
    right: 0;
    background-color: #fff;
    color: #000;
    border-radius: 5px;
    font-size: 0.8rem;
    padding: 0.25rem;
}

thumbs-3d .thumb_item img {
    object-fit: cover;
    width: 100%;
    height: 100%;
}

.thumb_item * {
    pointer-events: none;
}

@media screen and (min-width: 650px) {
    viewer-3d,
    viewer-video {
        height: calc(150vw/2);
    }
    .actionsToggle .btn3dToggle:first-child {
        border-radius: 3rem 0 0 3rem;
    }
    .actionsToggle .btn3dToggle:last-child {
        border-radius: 0 3rem 3rem 0;
    }
    .actionsToggle .btn3dToggle:last-child:first-child {
        border-radius: 3rem;
    }
    .actionsToggle {
        top: 1rem;
    }
}

@media screen and (min-width: 980px) {
    .parentSlider3D {
        border-radius: 10px;
        margin-bottom: 2rem;
    }
    .actionsToggle {
        display: inline-flex;
    }
    .actionsToggleMobile {
        display: none;
    }
    viewer-3d,
    viewer-video {
        height: calc(130vw/3);
    }
    thumbs-3d,
    thumbs-video {
        border-radius: 0 0 10px 10px;
    }
}

[demo3d] {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 3;
    object-fit: cover;
}

.buho3d {
    width: 100px;
    height: 100px;
    border-radius: 5rem;
    padding: 0.75rem;
    overflow: hidden;
    margin-bottom: 1rem;
}

view-video iframe {
    border: none !important;
    border-radius: 0 !important;
}

.labelOSGO {
    position: absolute;
    bottom: 0;
    right: 0;
    z-index: 54626854655;
    user-select: none;
    pointer-events: none;
    display: block;
    padding: .5rem;
    font-size: 0.85rem;
}